package main

import (
	"image/color"

	"./julia"
)

func main() {
	julia.SetComplexFunction(func(c, orig complex128) complex128 {
		return c*c + orig
	})
	julia.SetColorFunction(func(col uint8) *color.RGBA {
		return &color.RGBA{col, col, col, 255}
	})
	julia.SetComplexZoom(complex(0.2549870375144766, -0.0005679790528465), 1.0E-13)
	julia.SetContrastValue(50.0)
	julia.SetMaxIteration(4000)
	// julia.SetComplexRange(complex(-2.5, -1), complex(1, 1))
	julia.CreateImage("image.png", 1920, 1080)
}
